Subject: auditd service does not start up

From: Robin Green <[email-masked]>
Date: Sat, 18 Jul 2020 13:10:39 +0100

I get the following error in /var/log/messages when I try to enable the 
auditd service in my operating-system stanza:

     Couldn't create log file /var/log/audit/audit.log (No such file or 
directory)

(It also complains about a missing config file.)

Then the auditd service respawns a few times, and then gets disabled by 
shepherd because it's respawning too fast.

I tried creating /var/log/audit and re-enabling and re-starting the 
service, but now I get

     Error - space_left (0) must be larger than admin_space_left(0)

and again it repeatedly respawns and then gets disabled by shepherd 
because it's respawning too fast.